Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.executor
Interface FlowExecutor

All Known Implementing Classes:
  FlowExecutorImpl

    public interface FlowExecutor

The central facade and entry-point service interface into the Spring Web Flow system for driving the executions of flow definitions. This interface defines a coarse-grained system boundary suitable for invocation by most clients.

Implementations of this interface abstract away much of the internal complexity of the web flow execution subsystem, which consists of launching and resuming managed flow executions.

Author:
  Keith Donald

Method Summary
`FlowExecutionResult` | `launchExecution(java.lang.String flowId, MutableAttributeMap input, ExternalContext context)` Launch a new execution of the flow with the provided id.
`FlowExecutionResult` | `resumeExecution(java.lang.String flowExecutionKey, ExternalContext context)` Resume the flow execution with the provided execution key.

Method Detail

### launchExecution

    FlowExecutionResult launchExecution(java.lang.String flowId,
                                        MutableAttributeMap input,
                                        ExternalContext context)
                                        throws FlowException

  Launch a new execution of the flow with the provided id.

  Parameters:
    `flowId` - the flow definition identifier; should be unique among all top-level flow definitions (required).
    `input` - input to pass to the new execution on startup (optional)
    `context` - access to the calling environment (required)
  Throws:
    `FlowException`

### resumeExecution

    FlowExecutionResult resumeExecution(java.lang.String flowExecutionKey,
                                        ExternalContext context)
                                        throws FlowException

  Resume the flow execution with the provided execution key.

  Parameters:
    `flowExecutionKey` - the key of a paused execution of the flow definition
    `context` - access to the calling environment
  Throws:
    `FlowException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD